OpenVDB 12.1.0

Loading...
Searching...
No Matches
common.h File Reference
`#include <cmath>`
`#include <chrono>`
`#include <fstream>`
`#include <nanovdb/NanoVDB.h>`
`#include "ComputePrimitives.h"`

Go to the source code of this file.

## Classes
struct | RayGenOp< Vec3T >
struct | CompositeOp

## Macros
#define | _USE_MATH_DEFINES

## Functions
__hostdev__ uint32_t | CompactBy1 (uint32_t x)
__hostdev__ uint32_t | SeparateBy1 (uint32_t x)
__hostdev__ void | mortonDecode (uint32_t code, uint32_t &x, uint32_t &y)
__hostdev__ void | mortonEncode (uint32_t &code, uint32_t x, uint32_t y)
template<typename RenderFn, typename GridT>
float | renderImage (bool useCuda, const RenderFn renderOp, int width, int height, float *image, const GridT *grid)
void | saveImage (const std::string &filename, int width, int height, const float *image)

## Macro Definition Documentation

## ◆ _USE_MATH_DEFINES

#define _USE_MATH_DEFINES

## Function Documentation

## ◆ CompactBy1()

__hostdev__ uint32_t CompactBy1 | ( | uint32_t | x | ) |
| inline

## ◆ mortonDecode()

__hostdev__ void mortonDecode | ( | uint32_t | code,
|  | uint32_t & | x,
|  | uint32_t & | y )
| inline

## ◆ mortonEncode()

__hostdev__ void mortonEncode | ( | uint32_t & | code,
|  | uint32_t | x,
|  | uint32_t | y )
| inline

## ◆ renderImage()

template<typename RenderFn, typename GridT>

float renderImage | ( | bool | useCuda,
|  | const RenderFn | renderOp,
|  | int | width,
|  | int | height,
|  | float * | image,
|  | const GridT * | grid )
| inline

## ◆ saveImage()

void saveImage | ( | const std::string & | filename,
|  | int | width,
|  | int | height,
|  | const float * | image )
| inline

## ◆ SeparateBy1()

__hostdev__ uint32_t SeparateBy1 | ( | uint32_t | x | ) |
| inline